org.springframework.instrument.classloading

## Class WeavingTransformer

- java.lang.Object
- - org.springframework.instrument.classloading.WeavingTransformer

    public static class WeavingTransformer
    extends Object

ClassFileTransformer-based weaver, allowing for a list of transformers to be applied on a class byte array. Normally used inside class loaders.

Note: This class is deliberately implemented for minimal external dependencies, since it is included in weaver jars (to be deployed into application servers).

Since:
  2.0
Author:
  Rod Johnson, Costin Leau, Juergen Hoeller
See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`